import { type RepositoryClientOptions } from './repository-client.js';
export interface SourceFile {
    path: string;
}
interface FileClientOptions extends RepositoryClientOptions {
    repository: string;
    onRead: () => void;
    onReadFailure: () => void;
}
/**
 * Get all files from given repository matching the extensions set by configuration
 */
export declare function getFiles({ repository, onClone, onCloneFailure, onPull, onPullFailure, onRead, onReadFailure, }: FileClientOptions): Promise<SourceFile[]>;
export {};
//# sourceMappingURL=file-client.d.ts.map