import { Task } from './types.js';
export declare const TASK_TEMPLATE: (task: Task) => string;
export declare const REPOSITORIES_STATUS_TEMPLATE: (scannedRepositories: number) => string;
export declare const CI_STATUS_TEMPLATE: (scannedRepositories: number, errorCount: number, tasks: Task[]) => string;
export declare const CACHE_STATUS_TEMPLATE: (repositoriesCount: number, location: string) => string;
export declare const LINT_END_TEMPLATE: (repository: string, errorCount: number) => string;
export declare const LINT_SLOW_TEMPLATE: (lintTime: number, file: string) => string;
export declare const LINT_FAILURE_TEMPLATE: (repository: string, rule?: string) => string;
export declare const WORKER_FAILURE_TEMPLATE: (repository: string, errorCode?: string) => string;
export declare const PULL_FAILURE_TEMPLATE: (repository: string) => string;
export declare const CLONE_FAILURE_TEMPLATE: (repository: string) => string;
export declare const READ_FAILURE_TEMPLATE: (repository: string) => string;
export declare const WRITE_FAILURE_TEMPLATE: (repository: string, e: Error) => string;
export declare const OVERFLOWING_ROWS_TOP: (overflowingRowCount: number) => string;
export declare const OVERFLOWING_ROWS_BOTTOM: (overflowingRowCount: number) => string;
export declare const RESULT_COMPARISON_FINISHED: (added: number, removed: number) => string;
export declare const SCAN_TIMELIMIT_REACHED: (timeSeconds: number) => string;
export declare const SCAN_FINISHED: (scannedRepositories: number) => string;
export declare const DEBUG_TEMPLATE: (message: string) => string;
//# sourceMappingURL=log-templates.d.ts.map