import type { ConfigWithOptionals } from './config/types.js';
/**
 * Configuration for `eslint-remote-tester.config.ts`
 */
interface Config extends Omit<ConfigWithOptionals, 'pathIgnorePattern'> {
    /** Regexp pattern string used to exclude paths */
    pathIgnorePattern?: Exclude<ConfigWithOptionals['pathIgnorePattern'], RegExp>;
}
export type { Config };
//# sourceMappingURL=types.d.ts.map