import { Result, ComparisonResults } from './result-templates.js';
export declare const RESULT_COMPARISON_TEMPLATE: import("./result-templates.js").ComparisonResultTemplate;
/**
 * Compare two sets of `Result`s and get diff of changes
 * - `added`: results which were present in previous scan but not in the current
 * - `removed`: results which are present in current scan but not in the previous
 */
export declare function compareResults(current: Result[]): Promise<ComparisonResults>;
/**
 * Write comparison results to file system and update cache with current results
 */
export declare function writeComparisonResults(comparisonResults: ComparisonResults, currentScanResults: Result[]): Promise<void>;
//# sourceMappingURL=result-comparator.d.ts.map