import React from 'react';
/**
 * Box for managing scrolling of messages
 * - Keeps track of how many messages can fit to the screen
 *   and hides the overflowing ones. Renders scroll indicators
 *   on top and bottom of the box.
 * - Scrolling is handled via `useScroll`
 * - Displayed only on CLI mode
 */
declare const MessagesScrollBox: React.FC;
export default MessagesScrollBox;
//# sourceMappingURL=MessagesScrollBox.d.ts.map